Bug 573510 - Bluetooth fails with a Blackberry using Bluetooth DUN
Summary: Bluetooth fails with a Blackberry using Bluetooth DUN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-15 01:57 UTC by dalbers
Modified: 2010-04-29 16:20 UTC (History)
3 users (show)

Fixed In Version: ModemManager-0.3-9.git20100409.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-23 22:51:29 UTC
Type: ---


Attachments (Terms of Use)

Description dalbers 2010-03-15 01:57:52 UTC
Description of problem:

Here is the debug showing the Bluetooth connection:
[root@localhost liveuser]# modem-manager --debug
** Message: Loaded plugin Gobi
** Message: Loaded plugin Huawei
** Message: Loaded plugin Generic
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Sierra
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin MotoC
** Message: Loaded plugin Option
** Message: Loaded plugin AnyData
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Novatel
** Message: Loaded plugin Nokia
** Message: Loaded plugin ZTE
** Message: (rfcomm0) opening serial device...
** (modem-manager:2729): DEBUG: (rfcomm0): probe requested by plugin 'Generic'
** (modem-manager:2729): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2729): DEBUG: (rfcomm0): <-- '+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2729): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2729): DEBUG: (rfcomm0): <-- '+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2729): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2729): DEBUG: (rfcomm0): <-- '+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2729): DEBUG: (rfcomm0): --> 'ATI<CR>'
** (modem-manager:2729): DEBUG: (rfcomm0): <-- 'Research In Motion BlackBerry IP Modem<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2729): DEBUG: (rfcomm0): --> 'AT+CPIN?<CR>'
** (modem-manager:2729): DEBUG: (rfcomm0): <-- '+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2729): DEBUG: (rfcomm0): --> 'AT+CGMM<CR>'
** (modem-manager:2729): DEBUG: (rfcomm0): <-- 'RIM BlackBerry Device 4001507<CR><LF><CR><LF>OK<CR><LF>'
** Message: (rfcomm0) closing serial device...



Version-Release number of selected component (if applicable):


How reproducible:

Everytime

Steps to Reproduce:
1.  Run Modem-Manager in debug
2.  Pair Blackberry and check the box to use Bluetooth DUN
3.
  
Actual results:

Fails to detect a modem

Expected results:

Should allow the device to be used as a modem

Additional info:

This is a Blackberry Bold 9700 on AT&T if that matters.

Comment 1 Dan Williams 2010-03-23 21:43:39 UTC
0b9c173fe97cca9f57ef9fe3b9fcbd08e10becbc

upstream fix for this; we weren't treating "READY" as an indicator of GSM capability.  Most CDMA devices in asia use RUIMs which are basically SIMs and some of these devices may respond to AT+CPIN too, but we'll see.

Comment 2 Fedora Update System 2010-03-24 09:44:46 UTC
NetworkManager-0.8.0-3.git20100323.fc13,ModemManager-0.3-4.git20100323.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-3.git20100323.fc13,ModemManager-0.3-4.git20100323.fc13

Comment 3 Fedora Update System 2010-03-24 09:49:56 UTC
NetworkManager-0.8.0-3.git20100323.fc12,ModemManager-0.3-4.git20100323.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-3.git20100323.fc12,ModemManager-0.3-4.git20100323.fc12

Comment 4 Fedora Update System 2010-03-24 23:28:31 UTC
NetworkManager-0.8.0-3.git20100323.fc12, ModemManager-0.3-4.git20100323.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-3.git20100323.fc12,ModemManager-0.3-4.git20100323.fc12

Comment 5 Fedora Update System 2010-03-27 00:57:23 UTC
ModemManager-0.3-4.git20100323.fc12, NetworkManager-0.8.0-4.git20100325.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-4.git20100325.fc12,ModemManager-0.3-4.git20100323.fc12

Comment 6 dalbers 2010-03-27 01:56:44 UTC
I tested the builds today and it detected the modem but when I
attempted to connect using Network Manager it failed and I see this in
/var/log/messages:
Mar 25 19:51:58 localhost dbus-daemon: Rejected send message, 2
matched rules; type="method_return", sender=":1.12" (uid=0 pid=1424
comm="/usr/sbin/bluetoothd) interface="(unset)" member="(unset)" error
name="(unset)" requested_reply=0 destination=":1.10" (uid=0 pid=1414
comm="NetworkManager))

I tried to basically permit everything in dbus just for testing but I
obviously missed something.

Comment 7 Fedora Update System 2010-04-03 04:49:25 UTC
ModemManager-0.3-6.git20100331.fc12, NetworkManager-0.8.0-4.git20100325.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-4.git20100325.fc12,ModemManager-0.3-6.git20100331.fc12

Comment 8 dalbers 2010-04-03 23:40:38 UTC
A couple of odd issues.   Prior to the update today (04/03) I would get the following when I ran modem-manager with debug:
** Message: (rfcomm0) opening serial device...
** (modem-manager:2090): DEBUG: (rfcomm0): probe requested by plugin 'Generic'
** (modem-manager:2090): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2090): DEBUG: (rfcomm0): <--
'+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2090): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2090): DEBUG: (rfcomm0): <--
'+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2090): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2090): DEBUG: (rfcomm0): <--
'+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2090): DEBUG: (rfcomm0): --> 'ATI<CR>'
** (modem-manager:2090): DEBUG: (rfcomm0): <-- 'Research In Motion
BlackBerry IP Modem<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2090): DEBUG: (rfcomm0): --> 'AT+CPIN?<CR>'
** (modem-manager:2090): DEBUG: (rfcomm0): <-- '+CPIN:
READY<CR><LF><CR><LF>OK<CR><LF>'
** Message: (rfcomm0) closing serial device...
** Message: Generic: (tty/rfcomm0) WARNING: missing udev 'device' file
** Message: (rfcomm0) opening serial device...
** Message: (Generic): GSM modem
/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1 claimed port rfcomm0
** (modem-manager:2090): DEBUG: Added modem
/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
** (modem-manager:2090): DEBUG: (rfcomm0): --> 'AT+CPIN?<CR>'
** (modem-manager:2090): DEBUG: (rfcomm0): <-- '+CPIN: READY<CR><LF>'
** (modem-manager:2090): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** Message: (rfcomm0) closing serial device...
** (modem-manager:2090): DEBUG: Exported modem
/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1 as
/org/freedesktop/ModemManager/Modems/0
** Message: (rfcomm0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state
changed (disabled -> enabling)
** (modem-manager:2090): DEBUG: (rfcomm0): --> 'ATZ E0 V1 +CMEE=1<CR>'
** (modem-manager:2090): DEBUG: (rfcomm0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2090): DEBUG: Got failure code 100: Unknown error
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state
changed (enabling -> disabled)
** Message: (rfcomm0) closing serial device...
** (modem-manager:2090): DEBUG: Removed modem
/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1


Now after the update I get:
* (modem-manager:2324): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:2324): DEBUG: (tty/ttyS1): could not get port's parent device
** (modem-manager:2324): DEBUG: (tty/ttyS2): could not get port's parent device
** (modem-manager:2324): DEBUG: (tty/ttyS3): could not get port's parent device
** (modem-manager:2324): DEBUG: (net/pan0): could not get port's parent device
** (modem-manager:2324): DEBUG: (tty/rfcomm0): could not get port's parent device
** (modem-manager:2324): DEBUG: (tty/rfcomm0): could not get port's parent device
** (modem-manager:2324): DEBUG: (tty/rfcomm0): could not get port's parent device
** (modem-manager:2324): DEBUG: (tty/rfcomm0): could not get port's parent device

And in /var/log/messages I see:
Apr  3 19:35:24 localhost NetworkManager: <info>  Activation (F4:0B:93:FE:60:75) starting connection 'AT&T MEdia Net'
Apr  3 19:35:24 localhost NetworkManager: <info>  (F4:0B:93:FE:60:75): device state change: 3 -> 4 (reason 0)
Apr  3 19:35:24 localhost NetworkManager: <info>  Activation (F4:0B:93:FE:60:75) Stage 1 of 5 (Device Prepare) scheduled...
Apr  3 19:35:24 localhost NetworkManager: <info>  Activation (F4:0B:93:FE:60:75) Stage 1 of 5 (Device Prepare) started...
Apr  3 19:35:24 localhost NetworkManager: <info>  Activation (F4:0B:93:FE:60:75) Stage 2 of 5 (Device Configure) scheduled...
Apr  3 19:35:24 localhost NetworkManager: <info>  Activation (F4:0B:93:FE:60:75) Stage 1 of 5 (Device Prepare) complete.
Apr  3 19:35:24 localhost NetworkManager: <info>  Activation (F4:0B:93:FE:60:75) Stage 2 of 5 (Device Configure) starting...
Apr  3 19:35:24 localhost NetworkManager: <info>  (F4:0B:93:FE:60:75): device state change: 4 -> 5 (reason 0)
Apr  3 19:35:24 localhost NetworkManager: <info>  Activation (F4:0B:93:FE:60:75) Stage 2 of 5 (Device Configure) complete.
Apr  3 19:35:54 localhost NetworkManager: <info>  (F4:0B:93:FE:60:75): device state change: 5 -> 9 (reason 44)
Apr  3 19:35:54 localhost NetworkManager: <info>  Marking connection 'AT&T MEdia Net' invalid.
Apr  3 19:35:54 localhost NetworkManager: <info>  Activation (F4:0B:93:FE:60:75) failed.
Apr  3 19:35:54 localhost NetworkManager: <info>  (F4:0B:93:FE:60:75): device state change: 9 -> 3 (reason 0)
Apr  3 19:35:54 localhost NetworkManager: <info>  (F4:0B:93:FE:60:75): deactivating device (reason: 0).
Apr  3 19:35:54 localhost dbus-daemon: Rejected send message, 2 matched rules; type="method_return", sender=":1.13" (uid=0 pid=1379 comm="/usr/sbin/bluetoothd) interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.63" (uid=0 pid=2336 comm="NetworkManager))

I enabled modem-manager debug with:

1) service NetworkManager stop
2) killall -TERM modem-manager
3) modem-manager --debug
4) service NetworkManager start

Thank you1

Comment 9 dalbers 2010-04-04 01:48:21 UTC
Update, I tried pairing again and the Gnome Bluetooth applet no longer seems to detect my phone as a modem.

Comment 10 Dan Williams 2010-04-04 18:08:25 UTC
(In reply to comment #9)
> Update, I tried pairing again and the Gnome Bluetooth applet no longer seems to
> detect my phone as a modem.    

try this before pairing:

1) mv /usr/sbin/modem-manager /modem-manager
2) killall -TERM modem-manager
(prevent NM from respawning modem-manager automatically)
3) /modem-manager --debug
4) try to pair your phone and check the "connect to the internet with this phone"box
5) lets look at the modem-manager output

also grab ~/.xsession-errors to see what the NM bluetooth plugin is doing.

Comment 11 dalbers 2010-04-04 23:04:31 UTC
Same thing, it is like it doesn't want to run in debug mode?   Also now when I ran the Bluetooth applet it never offered me the option to try using the device as a modem.

[root@localhost darren]# mv /usr/sbin/modem-manager /modem-manager
[root@localhost darren]# killall -TERM modem-manager
[root@localhost darren]# /modem-manager --debug
** Message: Loaded plugin ZTE
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin AnyData
** Message: Loaded plugin Huawei
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Novatel
** Message: Loaded plugin Nokia
** Message: Loaded plugin Option
** Message: Loaded plugin Generic
** Message: Loaded plugin Gobi
** Message: Loaded plugin Sierra
** Message: Loaded plugin MotoC
** Message: Loaded plugin Ericsson MBM
** (modem-manager:2202): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:2202): DEBUG: (tty/ttyS1): could not get port's parent device
** (modem-manager:2202): DEBUG: (tty/ttyS2): could not get port's parent device
** (modem-manager:2202): DEBUG: (tty/ttyS3): could not get port's parent device
** (modem-manager:2202): DEBUG: (net/pan0): could not get port's parent device

Here is the output of xsession-errors:

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed
** Message: Device 'F4:0B:93:FE:60:75' was removed; deleting connections

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

** (bluetooth-wizard:2206): CRITICAL **: get_capabilities: assertion `uuids != NULL' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed
** Message: NumLock remembering disabled because hostname is set to "localhost"
** Message: NumLock remembering disabled because hostname is set to "localhost"

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed
** Message: Device 'F4:0B:93:FE:60:75' was removed; deleting connections

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed

** (bluetooth-wizard:2227): CRITICAL **: get_capabilities: assertion `uuids != NULL' failed

(bluetooth-applet:1763): GLib-GObject-WARNING **: invalid cast from `GtkActionGroup' to `GtkAction'

(bluetooth-applet:1763): Gtk-CRITICAL **: gtk_action_set_sensitive: assertion `GTK_IS_ACTION (action)' failed
[darren@localhost ~]$ 


I wonder if I am doing something stupid here since I can't get it to do debug but it did work before with the last update from testing.

Comment 12 Dan Williams 2010-04-05 18:18:58 UTC
I think your additional bug here is actually a duplicate of bug 579247 which I've just fixed upstream.  We'll leave this one for the original bug (not treating +CPIN READY response as an indicator of a GSM device) and handle the slight regression of not finding the port in the other bug.

Comment 13 dalbers 2010-04-06 03:40:15 UTC
Ok that makes sense, so it looks like the problem now is this section:

** (modem-manager:2090): DEBUG: (rfcomm0): --> 'ATZ E0 V1 +CMEE=1<CR>'
** (modem-manager:2090): DEBUG: (rfcomm0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2090): DEBUG: Got failure code 100: Unknown error
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state

I guess CMEE=1 means to tell the device to place errors in numeric format?   I can't seem to figure out what E0 and V1 mean.   I can try connecting using minicom and see if any more details of why it fails show up if that is helpful.

Thanks!

Comment 14 dalbers 2010-04-07 23:33:00 UTC
ATZ E0 V1
OK
AT+CMEE=1
OK

Both of the above work.   But putting it all together fails:

ATZ E0 V1 +CMEE=1
ERROR

Is it as simple as putting it on two lines?

Thanks!

Comment 15 Fedora Update System 2010-04-09 01:36:45 UTC
ModemManager-0.3-7.git20100405.fc12, NetworkManager-0.8.0-4.git20100325.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-4.git20100325.fc12,ModemManager-0.3-7.git20100405.fc12

Comment 16 dalbers 2010-04-09 02:02:06 UTC
You are not going to believe it but this darn Blackberry still doesn't work.  I am really sorry this has been so hard.   This is using the latest ModemManager and NetworkManager built this evening (The ones from 100408 not 100405) I do think it is close though:

[root@localhost darren]# modem-manager --debug
** Message: Loaded plugin ZTE
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin AnyData
** Message: Loaded plugin Huawei
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Novatel
** Message: Loaded plugin Nokia
** Message: Loaded plugin Option
** Message: Loaded plugin Generic
** Message: Loaded plugin Gobi
** Message: Loaded plugin Sierra
** Message: Loaded plugin MotoC
** Message: Loaded plugin Ericsson MBM
** (modem-manager:2281): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:2281): DEBUG: (tty/ttyS1): could not get port's parent device
** (modem-manager:2281): DEBUG: (tty/ttyS2): could not get port's parent device
** (modem-manager:2281): DEBUG: (tty/ttyS3): could not get port's parent device
** (modem-manager:2281): DEBUG: (net/pan0): could not get port's parent device
** (modem-manager:2281): DEBUG: (tty/rfcomm0): could not get port's parent device
** Message: (rfcomm0) opening serial device...
** (modem-manager:2281): DEBUG: (rfcomm0): probe requested by plugin 'Generic'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+GCAP<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '+GCAP:<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'ATI<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- 'Research In Motion BlackBerry IP Modem<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+CPIN?<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** Message: (rfcomm0) closing serial device...
** Message: Generic: (tty/rfcomm0) WARNING: missing udev 'device' file
** Message: (rfcomm0) opening serial device...
** Message: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1a.1/usb4/4-2 claimed port rfcomm0
** (modem-manager:2281): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1a.1/usb4/4-2
** (modem-manager:2281): DEBUG: (tty/rfcomm0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.1/usb4/4-2
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+CPIN?<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '+CPIN: READY<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** Message: (rfcomm0) closing serial device...
** (modem-manager:2281): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1a.1/usb4/4-2 as /org/freedesktop/ModemManager/Modems/0
** Message: (rfcomm0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'ATZ E0 V1<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'ATE0<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'ATX4 &C1<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2281): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+GMI<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- 'Research In Motion<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+GMM<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- 'RIM BlackBerry Device 4001507<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+GMR<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '1.2<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+CGMI<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- 'Research In Motion<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+CGMM<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- 'RIM BlackBerry Device'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- ' 4001507<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+CGMR<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '1.2<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): --> 'AT+CSCS=?<CR>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '+CSCS: "IRA"<CR><LF>'
** (modem-manager:2281): DEBUG: (rfcomm0): <-- '<CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> disabled)
** Message: (rfcomm0) closing serial device...
** (modem-manager:2281): DEBUG: Removed modem /sys/devices/pci0000:00/0000:00:1a.1/usb4/4-2

Does NM not work with the IRA character set?

Comment 17 Fedora Update System 2010-04-09 03:58:19 UTC
NetworkManager-0.8.0-6.git20100408.fc13, ModemManager-0.3-8.git20100408.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-04-10 10:23:03 UTC
ModemManager-0.3-9.git20100409.fc12, NetworkManager-0.8.0-6.git20100408.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-6.git20100408.fc12,ModemManager-0.3-9.git20100409.fc12

Comment 19 Fedora Update System 2010-04-23 22:50:45 UTC
ModemManager-0.3-9.git20100409.fc12, NetworkManager-0.8.0-6.git20100408.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 dalbers 2010-04-24 17:38:00 UTC
Unfortunately the package above did not seem to resolve the issue.  I am not sure of the protocol with Fedora, should I reopen this one or open a new bug?

Thank you!


Note You need to log in before you can comment on or make changes to this bug.